package tag.matcherImplementations;

import link.LinkUrl;
import tag.OptionalTag;
import tag.Tag;
import tag.TagMatcher;
import tag.TagName;

public class GitHubTagMatcher implements TagMatcher {

	public TagName getName() {
		return new TagName("github");
	}

	public String getAdditionInfo() {
		return "";//TODO
	}

	@Override
	public OptionalTag ifMatches(LinkUrl linkUrl) {
		if (linkUrl.getUrl().getHost().equals("github.com")) {
			return OptionalTag.of(new Tag(getName()).addAdditionalData(getAdditionInfo()));
		}
		return OptionalTag.empty();
	}
}
